new File Reference

Go to the source code of this file.

## Classes

class | std::bad_alloc

## Namespaces

namespace | std

## Typedefs

typedef void(* | std::new_handler) ()

## Functions

new_handler | std::get_new_handler () noexcept
void | operator delete (void *) noexcept
void | operator delete (void *, const std::nothrow_t &) noexcept
void | operator delete (void *, void *) noexcept
void | operator delete[] (void *) noexcept
void | operator delete[] (void *, const std::nothrow_t &) noexcept
void | operator delete[] (void *, void *) noexcept
void * | operator new (std::size_t)
void * | operator new (std::size_t, const std::nothrow_t &) noexcept
void * | operator new (std::size_t, void *__p) noexcept
void * | operator new[] (std::size_t)
void * | operator new[] (std::size_t, const std::nothrow_t &) noexcept
void * | operator new[] (std::size_t, void *__p) noexcept
new_handler | std::set_new_handler (new_handler) throw ()

## Variables

const nothrow_t | std::nothrow

## Detailed Description

This is a Standard C++ Library header.

The header `new` defines several functions to manage dynamic memory and handling memory allocation errors; see https://gcc.gnu.org/onlinedocs/libstdc++/manual/dynamic_memory.html for more.

Definition in file new.

## Macro Definition Documentation

## _NEW

#define _NEW

Definition at line 36 of file new.

## Function Documentation

## operator delete()

void operator delete | ( | void * | ,
|  | void * | )

inline noexcept

Definition at line 180 of file new.

## operator delete[]()

void operator delete[] | ( | void * | ,
|  | void * | )

inline noexcept

Definition at line 181 of file new.

## operator new() [1/2]

void * operator new | ( | std::size_t |  | ) |

nodiscard

These are replaceable signatures:

- normal single new and delete (no arguments, throw `bad_alloc` on error)
- normal array new and delete (same)
- `nothrow` single new and delete (take a `nothrow` argument, return `NULL` on error)
- `nothrow` array new and delete (same)

Placement new and delete signatures (take a memory address argument, does nothing) may not be replaced by a user's program.

## operator new() [2/2]

void * operator new | ( | std::size_t | ,
|  | void * | __p )

inline nodiscard noexcept

Definition at line 174 of file new.

## operator new[]()

void * operator new[] | ( | std::size_t | ,
|  | void * | __p )

inline nodiscard noexcept

Definition at line 176 of file new.